//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Cafe_App.Models
{
    using System;
    using System.Collections;
    using System.Collections.Generic;
    using System.Linq;

    public partial class Penjualan
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Penjualan()
        {
            this.DetailPenjualans = new HashSet<DetailPenjualan>();
        }
    
        public int ID_Penjualan { get; set; }
        public string Pelanggan { get; set; }
        public Nullable<int> ID_Kasir { get; set; }
        public Nullable<System.DateTime> Tanggal { get; set; }
        public Nullable<decimal> Total { get; set; }
        public Nullable<decimal> Bayar { get; set; }
        public Nullable<decimal> Kembali { get; set; }
        public string Meja { get; set; }

        private DBEntities db = new DBEntities();

        public Kasir ModelKasir
        {
            get
            {
                return db.Kasirs.Where(x => x.ID_Kasir == ID_Kasir).SingleOrDefault();
            }
            set
            {
                ID_Kasir = value.ID_Kasir;
            }
        }

        public ICollection ListJual
        {
            get
            {
                return db.DetailPenjualans.Where(x => x.ID_Penjualan == ID_Penjualan).ToList();
            }
        }

        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<DetailPenjualan> DetailPenjualans { get; set; }
        public virtual Kasir Kasir { get; set; }
    }
}
